Update Work Request Data

Through this API, you can update the data of a work request created in Fracttal.

Updatable Fields

You can update the following fields of a work request:

  • Asset (item_code + id_type_item): The asset associated with the request
  • Reference (identifier): Reference identifier
  • Group (types_description): Main category of the request
  • Classification 1 (types_1_description): First classification
  • Classification 2 (types_2_description): Second classification
  • Keywords (key_words_descriptions): Tags or associated labels

Restrictions

  • Only requests in Open status can be updated
  • Work request administrator permissions are required
  • Fields must be updated using their descriptions, not IDs
  • When updating the asset, both item_code and id_type_item must be provided

Considerations

  • Type and classification descriptions are case-insensitive
  • Keywords must already exist in the system

Input Parameters

The following fields must be sent to update the data of a work request:

ParameterTypeRequiredDescription
codeTextYesRequest number. Can be consulted here. (field id)
user_codeTextYesCode of the user updating the request. It is the code of the human resource or third party associated with the account.
item_codeNumberNo*Code of the asset to associate. *Required if id_type_item is sent.
id_type_itemTextNo*Type of asset (1=Locations, 2=Equipment, 3=Tools, 5=Digital) *Required if item_code is sent.
identifierTextNoReference or identifier of the request.
types_descriptionTextNoDescription of the Group (main category). Must exist in the catalog and be enabled.
types_1_descriptionTextNoDescription of Classification 1. Must exist in the catalog and be enabled.
types_2_descriptionTextNoDescription of Classification 2. Must exist in the catalog and be enabled.
key_words_descriptionsText or Array[Text]NoKeyword(s) to associate. Can be a text for a single word or an array for multiple. All must already exist in the system and be enabled.

Example:

Request: (PUT)https://app.fracttal.com/api/work_requests_data/38

{
    "user_code": "TestAdmin",
    "code": 3843,
    "item_code": "TestActivo",
    "id_type_item": 1,
    "types_description": "Grupo test",
    "types_1_description": "Clasificacion 1 test",
    "types_2_description": "Clasificacion 2 test",
    "key_words_descriptions": [
        "test 1",
        "test 2"
    ],
    "identifier": "test2"
}
{
    "success": true,
    "message": "200",
    "data": [
        {
            "id_code": 38,
            "id_company": 1,
            "id_work_order": null,
            "date": "2025-11-13T12:09:39.851315+00:00",
            "id_type": null,
            "id_item": 1,
            "is_urgent": false,
            "description": "description test",
            "rating": null,
            "rating_notes": null,
            "observation": null,
            "date_solution": null,
            "types_description": null,
            "items_description": "test",
            "id_requests_x_status":111,
            "id_status": 1,
            "date_status": "2025-11-13T12:09:39.851315+00:00",
            "requests_x_status_notes": "test",
            "requests_x_status_description": "OPEN_STATUS",
            "status_path_image": "color: #FFD73A",
            "accounts_name": "User",
            "accounts_email": "[email protected]",
            "requests_x_key_words_descriptions": null,
            "requests_x_key_words_id_key_words": null,
            "wo_folio": null,
            "date_incident": "2025-11-13T12:08:51.404+00:00",
            "parent_description": "//",
            "requests_x_status_accounts_name": "User",
            "requested_by": "User",
            "id_type_1": null,
            "id_type_2": null,
            "types_1_description": null,
            "types_2_description": null,
            "identifier": "",
            "id_personnel_log": 1,
            "id_contacts_log": null,
            "id_account": 1,
            "geolocation": null,
            "id_user": 1,
            "date_maintenance": null,
            "types_color": null,
            "id_group_task": 1,
            "id_item_log": 1,
            "visible_to_all": false,
            "id_priority": 5,
            "priorities_description": "VERY_LOW",
            "email_requested_by": "",
            "code_item": "U01",
            "id_cost_center": 1,
            "costs_center_description": "1",
            "id_group": 1,
            "id_group_1": 1,
            "id_group_2": 1,
            "groups_description": "TEST",
            "groups_1_description": "TEST",
            "groups_2_description": "TEST",
            "requests_x_status_third_parties_name": null,
            "annotations": null,
            "id_related": null
        }
    ],
    "total": "1"
}

Path Params
string
required
Response
200
Language
LoadingLoading…